%define upstream_name    Term-EditorEdit
%define upstream_version 0.0016

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Edit a document via $EDITOR
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Text::Clip)
BuildRequires: perl(Try::Tiny)
BuildArch: noarch

%{?perl_default_filter}

%description
Term::EditorEdit is a tool for prompting the user to edit a piece of text
via '$VISUAL' or '$EDITOR' and return the result

In addition to just editing a document, this module can distinguish between
a document preamble and document content, giving you a way to provide
"out-of-bound" information to whoever is editing. Once an edit is complete,
only the content (whatever was below the preamble) is returned

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/editor-edit



%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.1.600-8pclos2017
- rebuild against updates

